<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="fr-imgbase">/nkse/style/img/</xsl:variable>
	
	<xsl:strip-space elements="n"/>

	<xsl:template name="resolution">
		<div class="resolution">
			<link type="text/css" href="/tools/ae/pub/explore.css?v=6.1.1" rel="stylesheet"/>
			<style type="text/css">
				.resolution { font-size: 75%;}
				.n1 { margin-left: 2em; }
				.n2 { margin-left: 9px; }
				.resolution_match { font-weight: bold; }
				.resolution img { margin-right: 1px; }
			</style>
			<script language="Javascript">
				<xsl:comment>
					function getNamedChild(node,childName)
					{	if (node)
						{	for(child=node.firstChild; child; child=child.nextSibling )
							{	//console.log(child.nodeName);
								if (child.nodeType==1 &amp;&amp; child.nodeName==childName)
								{	return child;
								}
							}
						}
					}
					
					function fold(id)
					{ div=document.getElementById(id);
					  expand=div.style.display=='none';
					  //img=getNamedChild(getNamedChild(getNamedChild(getNamedChild(tr,"TD"),"DIV"),"A"),"IMG");
					  p = div.parentNode;
					  img = getNamedChild(getNamedChild(getNamedChild(p,"DIV"),"A"),"IMG");
					
					  if (expand)
					  { img.src="<xsl:value-of select="$fr-imgbase"/>minus.png";
					    div.style.display="";
					  }
					  else
					  { img.src="<xsl:value-of select="$fr-imgbase"/>plus.png";
					    div.style.display="none";
					  }
					}
					function explore(hash)
					{	hostname=window.location.hostname;
						url="http://"+hostname+":1060/tools/explore/"+hash;
						document.location=url;
					}
									
				</xsl:comment>
			</script>
			<xsl:apply-templates select="n"/>
		</div>
	</xsl:template>	
	
	<xsl:template match="n">
		<xsl:variable name="match" select="count(descendant-or-self::n[starts-with(text(),'Match on')])>0"/>
		<xsl:choose>
			<xsl:when test="n">
				<div>
					<xsl:variable name="did" select="generate-id()"/>
					<xsl:choose>
						<xsl:when test="$match=false()">
							<div style="text-align: left;">
								<a onClick="fold('{$did}')"><img src="{$fr-imgbase}plus.png"/></a>
								<xsl:call-template name="item"/>
							</div>
							<div id="{$did}" style="display: none;" class="n1">
								<xsl:apply-templates select="n"/>
							</div>
						</xsl:when>
						<xsl:otherwise>
							<div style="text-align: left;">
								<a onClick="fold('{$did}')"><img src="{$fr-imgbase}minus.png"/></a>
								<xsl:call-template name="item"/>
							</div>
							<div id="{$did}" class="n1">
								<xsl:apply-templates select="n"/>
							</div>
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div class="n2">
					<xsl:if test="$match=true() or starts-with(text(),'Scope exhausted')"><xsl:attribute name="class">n2 resolution_match</xsl:attribute></xsl:if>
					<xsl:call-template name="item"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="item">
		<xsl:choose>
			<xsl:when test="entity">
				<xsl:variable name="after" select="substring-after(text(),'[')"/>
				<xsl:variable name="content" select="substring-before($after,']')"/>
				<xsl:variable name="tail" select="substring-after($after,']')"/>
				
				<xsl:value-of select="substring-before(text(),'[')"/>[
				<a href="javascript:explore('{entity}')">
					<xsl:choose>
						<xsl:when test="entity/@type='space'">
							<span class="ui-icon-ae ui-icon-ae-space"><xsl:text> </xsl:text></span>
						</xsl:when>
						<xsl:when test="entity/@type='physical'">
							<span class="ui-icon-ae ui-icon-ae-physical"><xsl:text> </xsl:text></span>
						</xsl:when>
						<xsl:when test="entity/@type='logical'">
							<span class="ui-icon-ae ui-icon-ae-ep"><xsl:text> </xsl:text></span>
						</xsl:when>
					</xsl:choose>
					<xsl:value-of select="$content"/>
				</a>]<xsl:value-of select="$tail"/>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="text()"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>