<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xalan="http://xml.apache.org/xalan" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
	<xsl:output method="xml" omit-xml-declaration="yes" />
	<xsl:include href="formatIcon.xsl"/>	
	<xsl:param name="panelId" nk:class="java.lang.String"/>
	<xsl:param name="wide" nk:class="java.lang.Boolean"/>
	<xsl:param name="heading"/>
	
	<xsl:template match="/panels">
		<div>
			<xsl:call-template name="navigation"/>
			<xsl:call-template name="heading"/>
			<xsl:call-template name="content"/>
		</div>
	</xsl:template>
	
	<xsl:template name="navigation">
		<div id="navbar" class="navbar navbar-fixed-top" role="navigation">
			<div class="navbar-inverse" >
				<div class="navbar-inner ">
					<div class="container">
				
						<div class="navbar-header">
						    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
						      <span class="sr-only">Toggle navigation</span>
						      <span class="icon-bar"></span>
						      <span class="icon-bar"></span>
						      <span class="icon-bar"></span>
						    </button>
						    <div class="navbar-brand">
						    <a href="/">NetKernel</a>
							</div>
  						</div>
  						
				
						<!-- sort panels in correct order -->
						<xsl:variable name="panels">
							<panels>
								<xsl:for-each select="panel">
									<xsl:sort select="order" data-type="number"/>
									<xsl:copy-of select="."/>
								</xsl:for-each>
							</panels>
						</xsl:variable>
						
						<div class="collapse navbar-collapse navbar-ex1-collapse">

						<div class="navbar-right">
							<form class="navbar-form form-inline" role="search" method="post" action="/tools/search/">
							
								<span class="form-group" style="margin-right: 0.25em;">
									<xrl:include identifier="active:controlPanelHealth"/>
								</span>

								<span class="form-group" style="margin-right: 0.25em;">
									<xrl:include identifier="active:controlPanelAuth"/>
								</span>
								<div class="form-group">
									<div class="input-group input-group-sm" style="max-width: 150px;">
		  								<input id="template-search" name="search" type="text" class="form-control" placeholder="Search" style="width: 100%;"/>
		  								<span class="input-group-btn">
		  									<button class="btn btn-default" type="submit">
		  										<span class="fa fa-search"> </span>
											</button>
		  								</span>
									</div>
								</div>
								
						    </form>							
						</div>
								
							<ul class="nav navbar-nav">
								<xsl:for-each select="xalan:nodeset($panels)/panels/panel[order&lt;6 and order&gt;=0]">
									<li>
										<xsl:if test="id=$panelId">
											<xsl:attribute name="class">active</xsl:attribute>
										</xsl:if>
										<a href="/panel/{id}">
											
											<xsl:choose>
												<xsl:when test="shorttitle"><xsl:value-of select="shorttitle"/></xsl:when>
												<xsl:otherwise><xsl:value-of select="title"/></xsl:otherwise>
											</xsl:choose>
										</a>
									</li>
								</xsl:for-each>
								
							</ul>
						</div>
						
						
					</div>
				</div>
			</div>
		</div>
	</xsl:template>
	
	<xsl:template name="heading">
		<div class="main">
			
			<div class="head">
				
				<div class="container"><div class="row">
				<div class="col-sm-12">
					<div style="display: table-row;">
						<div class="template-icon-title" style="float: left; display:table-cell; vertical-align:middle;">
							<xsl:for-each select="$heading/*">
								<xsl:call-template name="icon48"/>
							</xsl:for-each>
						</div>
						<div style="display:table-cell; vertical-align:middle;" >
							<div class="template-tab-title">
								<xsl:value-of select="$heading/*/title"/>
							</div>
							<div class="template-tab-subtitle">
								<xsl:value-of select="$heading/*/subtitle"/>
							</div>
						</div>
					</div>
			
					<div id="infoboxshow">
						
						<span style="cursor: pointer;" class="fa fa-2x fa-question-circle" onclick="javascript:infoboxOpen()"> </span>
					</div>
				</div>
			</div>
			</div>
			</div>
		</div>
		<xrl:include><xrl:identifier>arg:extraHeading</xrl:identifier></xrl:include>
		
	</xsl:template>
	
	<xsl:template name="content">
		<div>
			<xsl:choose>
				<xsl:when test="$wide"><xsl:attribute name="class">wcontainer main</xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="class">container main</xsl:attribute></xsl:otherwise>
			</xsl:choose>
			<div class="row">
				<div class="col-md-12">
					<xrl:include><xrl:identifier>arg:content</xrl:identifier></xrl:include>
				</div>
			</div>
		</div>
	</xsl:template>
	
</xsl:stylesheet>